Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.trex
Class NameClassWithChildState

    java.lang.Object
      com.sun.msv.reader.State
          com.sun.msv.reader.SimpleState
              com.sun.msv.reader.trex.NameClassState
                  com.sun.msv.reader.trex.NameClassWithChildState

All Implemented Interfaces:
  org.xml.sax.ContentHandler, com.sun.msv.reader.trex.NameClassOwner

Direct Known Subclasses:
  NameClassChoiceState, NameClassDifferenceState, NameClassNotState, NGNameState

public abstract class NameClassWithChildState
extends NameClassState
implements com.sun.msv.reader.trex.NameClassOwner

parses name class that has child name classes

Author:
  Kohsuke KAWAGUCHI

Field Summary

Fields inherited from class com.sun.msv.reader.State
`reader`

Constructor Summary
`NameClassWithChildState()`

Method Summary
`void` | `onEndChild(NameClass childNameClass)` receives a Pattern object that is contained in this element.

Methods inherited from class com.sun.msv.reader.trex.NameClassState
`endSelf`

Methods inherited from class com.sun.msv.reader.SimpleState
`endDocument, endElement, startElement`

Methods inherited from class com.sun.msv.reader.State
`_assert, characters, endPrefixMapping, getBaseURI, getLocation, getParentState, getStartTag, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameClassWithChildState

    public NameClassWithChildState()

Method Detail

### onEndChild

    public final void onEndChild(NameClass childNameClass)

  receives a Pattern object that is contained in this element.

  Specified by:
    `onEndChild` in interface `com.sun.msv.reader.trex.NameClassOwner`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD